from kivy.uix.boxlayout import BoxLayout
from kivy.lang import Builder
import os

# KV-Datei laden
Builder.load_file(os.path.join(os.path.dirname(__file__), "gameover.kv"))

class GameOverScreen(BoxLayout):
    restart_callback = None
    menu_callback = None
    quit_game_callback = None

    def restart(self):
        if self.restart_callback:
            self.restart_callback()

    def menu(self):
        if self.menu_callback:
            self.menu_callback()

    def quit_game(self):
        if self.quit_game_callback:
            self.quit_game_callback()
